<?php

	//generate wpshapere options
	$this->wpshapereOptions = TitanFramework::getInstance( 'wpshapere' );
	
	$blog_email = get_option('admin_email');
	$blog_from_name = get_option('blogname'); 
	$wps_options = unserialize(get_option('wpshapere_options'));
	//get all admin users
	$user_query = new WP_User_Query( array( 'role' => 'Administrator' ) );
	if ( ! empty( $user_query->results ) ) {
		foreach ( $user_query->results as $user ) {
			$admin_users[$user->ID] = $user->display_name;
		}
	}
	
	$wpshapePanel = $this->wpshapereOptions->createAdminPanel( array(
		'name' => 'WPSHAPERE Options' ,
		'title' => 'ظاهر ساز پنل مدیریت',
		'icon' => 'dashicons-art',
		'capability' => 'administrator',
	) );
	
	$generalTab = $wpshapePanel->createTab( array(
		'name' => 'تنظیمات کلی',
		'id' => 'general_options',
	));
	
	$loginTab = $wpshapePanel->createTab( array(
		'name' => 'صفحه ورود',
		'id' => 'login_options',
	));
	$dashTab = $wpshapePanel->createTab( array(
		'name' => 'پیشخوان',
		'id' => 'dash_options',
	));
	$adminbarTab = $wpshapePanel->createTab( array(
		'name' => 'نوار ابزار مدیریت',
		'id' => 'adminbar_options',
	));
	$adminTab = $wpshapePanel->createTab( array(
		'name' => 'صفحات مدیریت',
		'id' => 'admin_options',
	));
	$footerTab = $wpshapePanel->createTab( array(
		'name' => 'فوتر',
		'id' => 'footer_options',
	));
	$emailsTab = $wpshapePanel->createTab( array(
		'name' => 'تنظیمات ایمیل',
		'id' => 'email_options',
	));
	
	
	
	//AdminTab Options
	$adminTab->createOption( array(
		'name' => 'تنظیمات رنگ منوی مدیریت',
		'type' => 'heading',
	) );

	$adminTab->createOption( array(
		'name' => 'رنگ بکگراند',
		'id' => 'bg_color',
		'type' => 'color',
		'default' => '#e3e7ea',
	) );
	$adminTab->createOption( array(
		'name' => 'Left menu wrap color',
		'id' => 'nav_wrap_color',
		'type' => 'color',
		'default' => '#1b2831',
	) );
	$adminTab->createOption( array(
		'name' => 'Submenu wrap color',
		'id' => 'sub_nav_wrap_color',
		'type' => 'color',
		'default' => '#22303a',
	) );	
	$adminTab->createOption( array(
		'name' => 'Menu hover color',
		'id' => 'hover_menu_color',
		'type' => 'color',
		'default' => '#3f4457',
	) );	
	$adminTab->createOption( array(
		'name' => 'Current active Menu color',
		'id' => 'active_menu_color',
		'type' => 'color',
		'default' => '#6da87a',
	) );	
	$adminTab->createOption( array(
		'name' => 'Menu text color',
		'id' => 'nav_text_color',
		'type' => 'color',
		'default' => '#90a1a8',
	) );	
	$adminTab->createOption( array(
		'name' => 'Menu hover text color',
		'id' => 'menu_hover_text_color',
		'type' => 'color',
		'default' => '#ffffff',
	) );
	$adminTab->createOption( array(
		'name' => 'Updates Count notification background',
		'id' => 'menu_updates_count_bg',
		'type' => 'color',
		'default' => '#212121',
	) );
	$adminTab->createOption( array(
		'name' => 'Updates Count text color',
		'id' => 'menu_updates_count_text',
		'type' => 'color',
		'default' => '#ffffff',
	) );
	$adminTab->createOption( array(
		'name' => 'Primary button colors',
		'type' => 'heading',
	) );	
	$adminTab->createOption( array(
		'name' => 'Button background  color',
		'id' => 'pry_button_color',
		'type' => 'color',
		'default' => '#7ac600',
	) );
	if(isset($wps_options['design_type']) && $wps_options['design_type'] != 1) {
		$adminTab->createOption( array(
			'name' => 'Button border color',
			'id' => 'pry_button_border_color',
			'type' => 'color',
			'default' => '#86b520',
		) );
		$adminTab->createOption( array(
			'name' => 'Button shadow color',
			'id' => 'pry_button_shadow_color',
			'type' => 'color',
			'default' => '#98ce23',
		) );
	}
	$adminTab->createOption( array(
		'name' => 'Button text color',
		'id' => 'pry_button_text_color',
		'type' => 'color',
		'default' => '#ffffff',
	) );
	$adminTab->createOption( array(
		'name' => 'Button hover background color',
		'id' => 'pry_button_hover_color',
		'type' => 'color',
		'default' => '#29ac39',
	) );
	if(isset($wps_options['design_type']) && $wps_options['design_type'] != 1) {
		$adminTab->createOption( array(
			'name' => 'Button hover border color',
			'id' => 'pry_button_hover_border_color',
			'type' => 'color',
			'default' => '#259633',
		) );
		$adminTab->createOption( array(
			'name' => 'Button hover shadow color',
			'id' => 'pry_button_hover_shadow_color',
			'type' => 'color',
			'default' => '#3d7a0c',
		) );
	}
	$adminTab->createOption( array(
		'name' => 'Button hover text color',
		'id' => 'pry_button_hover_text_color',
		'type' => 'color',
		'default' => '#ffffff',
	) );
	$adminTab->createOption( array(
		'name' => 'Secondary button colors',
		'type' => 'heading',
	) );	
	$adminTab->createOption( array(
		'name' => 'Button background color',
		'id' => 'sec_button_color',
		'type' => 'color',
		'default' => '#ced6c9',
	) );
	if(isset($wps_options['design_type']) && $wps_options['design_type'] != 1) {
		$adminTab->createOption( array(
			'name' => 'Button border color',
			'id' => 'sec_button_border_color',
			'type' => 'color',
			'default' => '#bdc4b8',
		) );
		$adminTab->createOption( array(
			'name' => 'Button shadow color',
			'id' => 'sec_button_shadow_color',
			'type' => 'color',
			'default' => '#dde5d7',
		) );
	}
	$adminTab->createOption( array(
		'name' => 'Button text color',
		'id' => 'sec_button_text_color',
		'type' => 'color',
		'default' => '#7a7a7a',
	) );
	$adminTab->createOption( array(
		'name' => 'Button hover background color',
		'id' => 'sec_button_hover_color',
		'type' => 'color',
		'default' => '#c9c8bf',
	) );
	if(isset($wps_options['design_type']) && $wps_options['design_type'] != 1) {
		$adminTab->createOption( array(
			'name' => 'Button hover border color',
			'id' => 'sec_button_hover_border_color',
			'type' => 'color',
			'default' => '#babab0',
		) );
		$adminTab->createOption( array(
			'name' => 'Button hover shadow color',
			'id' => 'sec_button_hover_shadow_color',
			'type' => 'color',
			'default' => '#9ea59b',
		) );
	}
	$adminTab->createOption( array(
		'name' => 'Button hover text color',
		'id' => 'sec_button_hover_text_color',
		'type' => 'color',
		'default' => '#ffffff',
	) );	
	
	$adminTab->createOption( array(
		'name' => 'Add New button',
		'type' => 'heading',
	) );
	$adminTab->createOption( array(
		'name' => 'Button background color',
		'id' => 'addbtn_bg_color',
		'type' => 'color',
		'default' => '#53D860',
	) );
	$adminTab->createOption( array(
		'name' => 'Button hover background color',
		'id' => 'addbtn_hover_bg_color',
		'type' => 'color',
		'default' => '#5AC565',
	) );
	$adminTab->createOption( array(
		'name' => 'Button text color',
		'id' => 'addbtn_text_color',
		'type' => 'color',
		'default' => '#ffffff',
	) );
	$adminTab->createOption( array(
		'name' => 'Button hover text color',
		'id' => 'addbtn_hover_text_color',
		'type' => 'color',
		'default' => '#ffffff',
	) );
	
	$adminTab->createOption( array(
		'name' => 'Metabox Colors',
		'type' => 'heading',
	) );
	$adminTab->createOption( array(
		'name' => 'Metabox header box',
		'id' => 'metabox_h3_color',
		'type' => 'color',
		'default' => '#bdbdbd',
	) );
	$adminTab->createOption( array(
		'name' => 'Metabox header box border',
		'id' => 'metabox_h3_border_color',
		'type' => 'color',
		'default' => '#9e9e9e',
	) );
	$adminTab->createOption( array(
		'name' => 'Metabox header Click button color',
		'id' => 'metabox_handle_color',
		'type' => 'color',
		'default' => '#ffffff',
	) );
	$adminTab->createOption( array(
		'name' => 'Metabox header Click button hover color',
		'id' => 'metabox_handle_hover_color',
		'type' => 'color',
		'default' => '#949494',
	) );
	$adminTab->createOption( array(
		'name' => 'Metabox header text color',
		'id' => 'metabox_text_color',
		'type' => 'color',
		'default' => '#ffffff',
	) );
	
	$adminTab->createOption( array(
		'name' => 'Message box (Post/Page updates)',
		'type' => 'heading',
	) );
	$adminTab->createOption( array(
		'name' => 'Message box color',
		'id' => 'msg_box_color',
		'type' => 'color',
		'default' => '#02c5cc',
	) );
	$adminTab->createOption( array(
		'name' => 'Message text color',
		'id' => 'msgbox_text_color',
		'type' => 'color',
		'default' => '#ffffff',
	) );
	$adminTab->createOption( array(
		'name' => 'Message box border color',
		'id' => 'msgbox_border_color',
		'type' => 'color',
		'default' => '#007e87',
	) );
	$adminTab->createOption( array(
		'name' => 'Message link color',
		'id' => 'msgbox_link_color',
		'type' => 'color',
		'default' => '#efefef',
	) );
	$adminTab->createOption( array(
		'name' => 'Message link hover color',
		'id' => 'msgbox_link_hover_color',
		'type' => 'color',
		'default' => '#e5e5e5',
	) );
	$adminTab->createOption( array(
		'name' => 'Custom CSS',
		'type' => 'heading',
	) );
	$adminTab->createOption( array(
		'name' => 'Custom CSS for Admin pages',
		'id' => 'admin_page_custom_css',
		'type' => 'textarea',
	) );
	
	
	$adminTab->createOption( array(
		'type' => 'save'
	) );
	
	//AdminBar Options
	/*$adminbarTab->createOption( array(
		'name' => 'Admin Title',
		'id' => 'admin_title',
		'type' => 'text',
	) );*/

	$adminbarTab->createOption( array(
		'name' => 'آپلود کردن لوگو',
		'id' => 'admin_logo',
		'type' => 'upload',
		'desc' => 'عکسی که در همه صفحات مدیریت به عنوان لوگو استفاده میشود. حداکثر اندازه 200 در50 پیکسل.'
	) );
	
	$adminbarTab->createOption( array(
		'name' => 'جابه جا کردن موقعیت لوگو بالا  :',
		'id' => 'logo_top_margin',
		'type' => 'number',
		'desc' => "میتواند استفاده شود در مواقعی که جایگاه لوگو مطابقت ندارد",
		'default' => '0',
		'max' => '20',
	) );
	
	$adminbarTab->createOption( array(
		'name' => 'جابه جا کردن موقعیت لوگو پایین :',
		'id' => 'logo_bottom_margin',
		'type' => 'number',
		'desc' => "میتواند استفاده شود در مواقعی که جایگاه لوگو مطابقت ندارد",
		'default' => '0',
		'max' => '20',
	) );
	
	$adminbarTab->createOption( array(
		'name' => 'رنگ بک گراند منوی مدیریت (اون بالا بالایی خخخ :|)',
		'id' => 'admin_bar_color',
		'type' => 'color',
		'default' => '#fff',
	) );
	
	$adminbarTab->createOption( array(
		'name' => 'رنگ متن منوی مدیریت (اون بالا بالایی خخخ :|)',
		'id' => 'admin_bar_menu_color',
		'type' => 'color',
		'default' => '#94979B',
	) );
	
	$adminbarTab->createOption( array(
		'name' => 'رنگ هاور شدن متن منوی مدیریت (اون بالا بالایی خخخ :|)',
		'id' => 'admin_bar_menu_hover_color',
		'type' => 'color',
		'default' => '#474747',
	) );
	
	$adminbarTab->createOption( array(
		'name' => 'حذف منو های ناخواسته',
		'id' => 'hide_admin_bar_menus',
		'type' => 'multicheck',
		'desc' => 'انتخاب کنید منو هایی که دوس دارید تو پنل مدیریتتان نمایش داده نشود.',
		'options' => array(
			'1' => 'اسم سایت',
			'2' => 'آپدیت ها',					
			'3' => 'نظرات',
			'4' => 'نوشتن پست جدید',
			'5' => 'ویرایش پروفایل',
			'6' => 'اکانت من',
			'7' => 'لوگوی وردپریس',
		),
		'default' => array( '3', '4', '7' ),
	) );
	
	$adminbarTab->createOption( array(
		'type' => 'save'
	) );
	
	//Login Page Options
	$loginTab->createOption( array(
		'name' => 'رنگ بکگراند',
		'id' => 'login_bg_color',
		'type' => 'color',
		'default' => '#292931',
	) );

	$loginTab->createOption( array(
		'name' => 'عکس بکگراند',
		'id' => 'login_bg_img',
		'type' => 'upload',
	) );
	$loginTab->createOption( array(
		'name' => 'تکرار کردن بکگراند',
		'id' => 'login_bg_img_repeat',
		'type' => 'checkbox',
		'desc' => 'بکگراند تکرار شود؟',
		'default' => true,
	) );	
	$loginTab->createOption( array(
		'name' => 'مقیاس عکس برای بکگراند',
		'id' => 'login_bg_img_scale',
		'type' => 'checkbox',
		'desc' => 'مقیاس دهی کنید تا تصویر فیکس شود با بکگراند.',
		'default' => true,
	) );
	$loginTab->createOption( array(
		'name' => 'فاصله فرم لوگین از بالا',
		'id' => 'login_form_margintop',
		'type' => 'number',
		'default' => '100',
		'min' => '0',
		'max' => '700',
	) );
	$loginTab->createOption( array(
		'name' => 'طول فرم لوگین به درصد(%)',
		'id' => 'login_form_width',
		'type' => 'number',
		'default' => '30',
		'min' => '20',
		'max' => '100',
	) );

	$loginTab->createOption( array(
	'name' => 'آپلود کردن لوگو',
	'id' => 'admin_login_logo',
	'type' => 'upload',
	'desc' => 'عکسی که به عنوان لوگو در صفحه ورود استفاده میشود و باید حداکثر زیر 450 پیکسل باشد'
	) );

	$loginTab->createOption( array(
		'name' => 'عکس تغیر سایز دهد؟',
		'id' => 'admin_logo_resize',
		'type' => 'checkbox',
		'default' => false,
		'desc' => 'انتخاب کنید برای تغیر دادن سایز لوگو.'
	) );
	$loginTab->createOption( array(
		'name' => 'تعیین سایز لوگو به درصد (%)',
		'id' => 'admin_logo_size_percent',
		'type' => 'number',
		'default' => '1',
		'max' => '100',
	) );
	$loginTab->createOption( array(
		'name' => 'ارتفاع لوگو',
		'id' => 'admin_logo_height',
		'type' => 'number',
		'default' => '50',
		'max' => '150',
	) );
	$loginTab->createOption( array(
		'name' => 'آدرس لینک لوگو',
		'id' => 'login_logo_url',
		'type' => 'text',
		'default' => get_bloginfo('url'),
	) );
	$loginTab->createOption( array(
		'name' => 'بدون پس زمینه باشد فرم ؟',
		'id' => 'login_divbg_transparent',
		'type' => 'checkbox',
		'default' => false,
		'desc' => 'اگر میخواهید یشه ای باشد تیک رو فعال کنید'
	) );
	$loginTab->createOption( array(
		'name' => 'رنگ بکگراند بلوک (دایو) صفحه لوگین',
		'id' => 'login_divbg_color',
		'type' => 'color',
		'default' => '#f5f5f5',
	) );
	$loginTab->createOption( array(
		'name' => 'رنگ بکگراند فرم های فحه لوگین',
		'id' => 'login_formbg_color',
		'type' => 'color',
		'default' => '#423143',
	) );
	$loginTab->createOption( array(
		'name' => 'رنگ بردار فرم های صفحه ورود',
		'id' => 'form_border_color',
		'type' => 'color',
		'default' => '#e5e5e5',
	) );
	$loginTab->createOption( array(
		'name' => 'رنگ متن درون فرم ها در فحه ورود',
		'id' => 'form_text_color',
		'type' => 'color',
		'default' => '#cccccc',
	) );
	$loginTab->createOption( array(
		'name' => 'رنگ لینک ها در صفحه ورود ',
		'id' => 'form_link_color',
		'type' => 'color',
		'default' => '#777777',
	) );
	$loginTab->createOption( array(
		'name' => 'رنگ هاور شدن لینک ها در صفحه ورود ',
		'id' => 'form_link_hover_color',
		'type' => 'color',
		'default' => '#555555',
	) );
	$loginTab->createOption( array(
		'name' => 'مخفی کردن "بازگشت به صفحه اصلی سایت"',
		'id' => 'hide_backtoblog',
		'type' => 'checkbox',
		'default' => false,
		'desc' => 'select to hide',
	) );
	$loginTab->createOption( array(
		'name' => 'مخفی کردن "مرا به خاطر بسپار"',
		'id' => 'hide_remember',
		'type' => 'checkbox',
		'default' => false,
		'desc' => 'select to hide',
	) );
	$loginTab->createOption( array(
		'name' => 'متن دلخواه شما برای فوتر',
		'id' => 'login_footer_content',
		'type' => 'editor',
	) );
	$loginTab->createOption( array(
		'name' => 'استایل سی اس اس دلخواه شما',
		'type' => 'heading',
	) );
	$loginTab->createOption( array(
		'name' => 'استایل دلخواه شما برای صفحه ورود ',
		'id' => 'login_custom_css',
		'type' => 'textarea',
	) );
	
	$loginTab->createOption( array(
		'type' => 'save'
	) );
	
	$generalTab->createOption( array(
		'name' => 'تنظیمات کلی',
		'type' => 'heading',
	) );
	$generalTab->createOption( array(
		'name' => 'انتخا کنید نوع طرح دلخواهتون',
		'id' => 'design_type',
		'type' => 'radio',
		'options' => array(
			'1' => 'طراحی فلت',
			'2' => 'طراحی پیشفرض',
		),
		'default' => '1',
	) );
	$generalTab->createOption( array(
		'name' => 'رنگ عنوان h1',
		'id' => 'h1_color',
		'type' => 'color',
		'default' => '#333333',
	) );
	$generalTab->createOption( array(
		'name' => 'رنگ عنوان h2',
		'id' => 'h2_color',
		'type' => 'color',
		'default' => '#222222',
	) );
	$generalTab->createOption( array(
		'name' => 'رنگ عنوان h3',
		'id' => 'h3_color',
		'type' => 'color',
		'default' => '#222222',
	) );
	$generalTab->createOption( array(
		'name' => 'رنگ عنوان h4',
		'id' => 'h4_color',
		'type' => 'color',
		'default' => '#555555',
	) );
	$generalTab->createOption( array(
		'name' => 'رنگ عنوان h5',
		'id' => 'h5_color',
		'type' => 'color',
		'default' => '#555555',
	) );
	$generalTab->createOption( array(
		'name' => 'رنگ عنوان h6',
		'id' => 'h6_color',
		'type' => 'color',
		'default' => '#555555',
	) );
	$generalTab->createOption( array(
		'name' => 'حذف موارد ناخواسته',
		'id' => 'admin_generaloptions',
		'type' => 'multicheck',
		'desc' => 'انتخاب کنید ایتم هایی رو که میخواهید حذف کنید',
		'options' => array(
			'1' => 'پنجره راهنما وردپریس.',					
			'2' => 'تنظیمات صفحه.',
			'3' => 'اطلاعیه های آپدیت وردپریس.',
		),
	) );
	$generalTab->createOption( array(
		'name' => 'عیر فعال کردن آپدیت خودکار',
		'id' => 'disable_auto_updates',
		'type' => 'checkbox',
		'desc' => 'اگر میخواهید غیر فعال کنید آپدیت های مخفی و خودکار را تیک را فعال کنید',
		'default' => false,
	) );
	$generalTab->createOption( array(
		'name' => 'غیر فعال کردن ایمیل برای آپدیت',
		'id' => 'disable_update_emails',
		'type' => 'checkbox',
		'desc' => 'غیر فعال کنید ایمیل های مربطو به آپدیت  ها',
		'default' => false,
	) );
	$generalTab->createOption( array(
		'name' => 'مخفی کردن منوی مدیریت  بالا',
		'id' => 'hide_admin_bar',
		'type' => 'checkbox',
		'desc' => 'انتخاب کنید برای مخفی شدن اون منو',
		'default' => false,
	) );
	

	$generalTab->createOption( array(
		'type' => 'save'
	) );
	
	$dashTab->createOption( array(
		'name' => 'حذف ویجت های ناخواسته از پیشخوان',
		'id' => 'remove_dash_widgets',
		'type' => 'multicheck',
		'desc' => 'انتخاب کنید گزینه های که دوست ارید نمایش داده نشوند',
		'options' => array(
			'1' => 'پنل خوش آمد گویی',					
			'2' => 'همین الان',
			'3' => 'فعالیت های اخیر',
			'4' => 'لینک های دریافتی',
			'5' => 'لاگین ها',
			'6' => 'اخبار سریع',
			'7' => 'چرک نویس های اخیر',
			'8' => 'اخبار وردپریس',
			'9' => 'سایت وردپریس',
			'10' => 'بی بی پرس',
			'11' => 'سئو یوست',
			'12' => 'فرم گراویتی',
		),
		'default' => array( '8', '9' ),
	) );	
	$dashTab->createOption( array(
		'name' => 'ساخت ویجت جدید',
		'type' => 'heading',
	) );
	$dashTab->createOption( array(
		'type' => 'note',
		'desc' => 'ویجت 1'
	) );
	$dashTab->createOption( array(
		'name' => 'نوع ویجت',
		'id' => 'wps_widget_1_type',
		'options' => array(
        '1' => 'خبر خوان آر اس اس',
        '2' => 'محتوای متنی',
		),
		'type' => 'radio',
		'default' => '1',
	) );
	$dashTab->createOption( array(
		'name' => 'موقعیت ویجت',
		'id' => 'wps_widget_1_position',
		'options' => array(
		'normal' => 'چپ',
		'side' => 'راست',
		),
		'type' => 'select',
	) );
	$dashTab->createOption( array(
		'name' => 'عنوان ویجت',
		'id' => 'wps_widget_1_title',
		'type' => 'text',
	) );
	$dashTab->createOption( array(
		'name' => 'آدرس فید آر اس اس',
		'id' => 'wps_widget_1_rss',
		'type' => 'text',
		'desc' => 'اگر میخواهید خبر های رو از فید دریافت کنید لینک آر اس اس مورد نظرتون بگزارید در غیر این طورت متن دلخواه خود رو در ادیتور زیر وارد کنید',
	) );
	$dashTab->createOption( array(
		'name' => 'متن ویجت',
		'id' => 'wps_widget_1_content',
		'type' => 'editor',
	) );
	
	$dashTab->createOption( array(
		'type' => 'note',
		'desc' => 'Widget 2'
	) );
	$dashTab->createOption( array(
		'name' => 'نوع ویجت',
		'id' => 'wps_widget_2_type',
		'options' => array(
		'1' => 'RSS Feed',
		'2' => 'Text Content',
		),
		'type' => 'radio',
		'default' => '1',
	) );
	$dashTab->createOption( array(
		'name' => 'موقعیت ویجت',
		'id' => 'wps_widget_2_position',
		'options' => array(
		'normal' => 'چپ',
		'side' => 'راست',
		),
		'type' => 'select',
	) );
	$dashTab->createOption( array(
		'name' => 'عنوان ویجت',
		'id' => 'wps_widget_2_title',
		'type' => 'text',
	) );
	$dashTab->createOption( array(
		'name' => 'لینک خبرخوان آر اس اس',
		'id' => 'wps_widget_2_rss',
		'type' => 'text',
		'desc' => 'اگر میخواهید خبر های رو از فید دریافت کنید لینک آر اس اس مورد نظرتون بگزارید در غیر این طورت متن دلخواه خود رو در ادیتور زیر وارد کنید',
	) );
	$dashTab->createOption( array(
		'name' => 'متن ویجت',
		'id' => 'wps_widget_2_content',
		'type' => 'editor',
	) );
	
	$dashTab->createOption( array(
		'type' => 'note',
		'desc' => 'Widget 3'
	) );
	$dashTab->createOption( array(
		'name' => 'نوع ویجت',
		'id' => 'wps_widget_3_type',
		'options' => array(
        '1' => 'RSS Feed',
        '2' => 'Text Content',
		),
		'type' => 'radio',
		'default' => '1',
	) );
	$dashTab->createOption( array(
		'name' => 'موقعیت ویجت',
		'id' => 'wps_widget_3_position',
		'options' => array(
        'normal' => 'چپ',
        'side' => 'راست',
		),
		'type' => 'select',
	) );
	$dashTab->createOption( array(
		'name' => 'عنوان ویجت',
		'id' => 'wps_widget_3_title',
		'type' => 'text',
	) );
	$dashTab->createOption( array(
		'name' => 'لینک خبرخوان آر اس اس',
		'id' => 'wps_widget_3_rss',
		'type' => 'text',
		'desc' => 'اگر میخواهید خبر های رو از فید دریافت کنید لینک آر اس اس مورد نظرتون بگزارید در غیر این طورت متن دلخواه خود رو در ادیتور زیر وارد کنید',
	) );
	$dashTab->createOption( array(
		'name' => 'متن ویجت',
		'id' => 'wps_widget_3_content',
		'type' => 'editor',
	) );
	
	$dashTab->createOption( array(
		'type' => 'note',
		'desc' => 'Widget 4'
	) );
	$dashTab->createOption( array(
		'name' => 'نوع ویجت',
		'id' => 'wps_widget_4_type',
		'options' => array(
        '1' => 'RSS Feed',
        '2' => 'Text Content',
		),
		'type' => 'radio',
		'default' => '1',
	) );
	$dashTab->createOption( array(
		'name' => 'موقعیت ویجت',
		'id' => 'wps_widget_4_position',
		'options' => array(
        'normal' => 'چپ',
        'side' => 'راست',
		),
		'type' => 'select',
	) );
	$dashTab->createOption( array(
		'name' => 'عنوان ویجت',
		'id' => 'wps_widget_4_title',
		'type' => 'text',
	) );
	$dashTab->createOption( array(
		'name' => 'لینک خبرخوان آر اس اس',
		'id' => 'wps_widget_4_rss',
		'type' => 'text',
		'desc' => 'اگر میخواهید خبر های رو از فید دریافت کنید لینک آر اس اس مورد نظرتون بگزارید در غیر این طورت متن دلخواه خود رو در ادیتور زیر وارد کنید',
	) );
	$dashTab->createOption( array(
		'name' => 'متن ویجت',
		'id' => 'wps_widget_4_content',
		'type' => 'editor',
	) );

	$dashTab->createOption( array(
		'type' => 'save'
	) );
	
	$footerTab->createOption( array(
		'name' => 'متن درون فوتر',
		'id' => 'admin_footer_txt',
		'type' => 'editor',
		'desc' => 'هر متنی را که میخواهید در فوتر مدیریت نمایش داده شود در این باکس بنویسید.',
	) );
	$footerTab->createOption( array(
		'type' => 'save'
	) );
	$emailsTab->createOption( array(
		'name' => 'ایمیل پیشفرض مدیریت',
		'id' => 'email_settings',
		'options' => array(
		'1' => 'ایمیل اصلی : <strong>' . $blog_email . '</strong> از طرف <strong>' . $blog_from_name . '</strong> تنظیم شود.',
		'2' => 'ایمیلی دیگر انتخاب میکنم',
		),
		'type' => 'radio',
		'default' => '1',
	) );
	$emailsTab->createOption( array(
		'name' => 'ایمیل از آدرس',
		'id' => 'email_from_addr',
		'type' => 'text',
		'desc' => 'ایمیلی درست انتخاب شود',
	) );
	$emailsTab->createOption( array(
		'name' => 'ایمیل از اسم',
		'id' => 'email_from_name',
		'type' => 'text',
	) );
	$emailsTab->createOption( array(
		'type' => 'save',
	) );
	
	